Ptex

Public Member Functions | Private Attributes | List of all members
PtexLruList< T, item > Class Template Reference

`#include <PtexCache.h>`

## Public Member Functions
void | push (T *node)
T * | pop ()

## Private Attributes
PtexLruItem | _end

## Detailed Description

template<class T, PtexLruItem T::* item>
class PtexLruList< T, item >

Definition at line 83 of file PtexCache.h.

## Member Function Documentation

## ◆ pop()

template<class T , PtexLruItem T::* item>

T * PtexLruList< T, item >::pop | ( |  | ) |
| inline

Definition at line 95 of file PtexCache.h.

References PtexLruList< T, item >::_end, and PtexLruItem::pop().

Referenced by PtexReaderCache::pruneData(), and PtexReaderCache::pruneFiles().

## ◆ push()

template<class T , PtexLruItem T::* item>

void PtexLruList< T, item >::push | ( | T * | node | ) |
| inline

Definition at line 88 of file PtexCache.h.

References PtexLruList< T, item >::_end, and PtexLruItem::push().

Referenced by PtexReaderCache::processMru().

## Member Data Documentation

## ◆ _end

template<class T , PtexLruItem T::* item>

PtexLruItem PtexLruList< T, item >::_end
| private

Definition at line 85 of file PtexCache.h.

Referenced by PtexLruList< T, item >::pop(), and PtexLruList< T, item >::push().

The documentation for this class was generated from the following file:

- PtexCache.h